"use strict";
this.name			= "Cube Station Script";
this.author			= "ocz";
this.copyright		= "2015 ocz";
this.licence		= "CC BY-NC-SA 4.0";

this.addStation = function (offset) {
	var stationPosition = player.ship.position;
		//Sets the stations spawning location directly at the players position.
		
	if (offset) {
			//If an offset vector exists, its values are added to the spawning point.
		stationPosition.x += offset.x;
		stationPosition.y += offset.y;
		stationPosition.z += offset.z;
	}
	
	var cubeStation = system.addShips("cube_station", 1, stationPosition, 0)[0];
	return cubeStation; 
}

this.startUp = function () {
	this.addStation(Vector3D(2000,0,0));
		//Let's add a Cube Station 2000m next to the players
		//initial position in the Main Station. 
}